Receive Message
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/whatsapp/{workspaceId}/whatsapp/{credentialsId}/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entry": [
{
"changes": [
{
"value": {
"contacts": [
{
"profile": {
"name": "<string>"
}
}
],
"messages": [
{
"from": "<string>",
"timestamp": "<string>",
"type": "text",
"text": {
"body": "<string>"
},
"id": "<string>",
"referral": {
"ctwa_clid": "<string>",
"source_id": "<string>"
}
}
],
"statuses": [
{
"recipient_id": "<string>",
"errors": [
{
"code": 123,
"title": "<string>",
"error_data": {
"details": "<string>"
}
}
]
}
]
}
}
]
}
]
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/whatsapp/{workspaceId}/whatsapp/{credentialsId}/webhook"
payload = { "entry": [{ "changes": [{ "value": {
"contacts": [{ "profile": { "name": "<string>" } }],
"messages": [
{
"from": "<string>",
"timestamp": "<string>",
"type": "text",
"text": { "body": "<string>" },
"id": "<string>",
"referral": {
"ctwa_clid": "<string>",
"source_id": "<string>"
}
}
],
"statuses": [
{
"recipient_id": "<string>",
"errors": [
{
"code": 123,
"title": "<string>",
"error_data": { "details": "<string>" }
}
]
}
]
} }] }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entry: [
{
changes: [
{
value: {
contacts: [{profile: {name: '<string>'}}],
messages: [
{
from: '<string>',
timestamp: '<string>',
type: 'text',
text: {body: JSON.stringify('<string>')},
id: '<string>',
referral: {ctwa_clid: '<string>', source_id: '<string>'}
}
],
statuses: [
{
recipient_id: '<string>',
errors: [{code: 123, title: '<string>', error_data: {details: '<string>'}}]
}
]
}
}
]
}
]
})
};
fetch('http://127.0.0.1:3333/v3/integrations/whatsapp/{workspaceId}/whatsapp/{credentialsId}/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}WhatsApp
Receive Message
Receive WhatsApp Message.
POST
/
v3
/
integrations
/
whatsapp
/
{workspaceId}
/
whatsapp
/
{credentialsId}
/
webhook
Receive Message
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/whatsapp/{workspaceId}/whatsapp/{credentialsId}/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entry": [
{
"changes": [
{
"value": {
"contacts": [
{
"profile": {
"name": "<string>"
}
}
],
"messages": [
{
"from": "<string>",
"timestamp": "<string>",
"type": "text",
"text": {
"body": "<string>"
},
"id": "<string>",
"referral": {
"ctwa_clid": "<string>",
"source_id": "<string>"
}
}
],
"statuses": [
{
"recipient_id": "<string>",
"errors": [
{
"code": 123,
"title": "<string>",
"error_data": {
"details": "<string>"
}
}
]
}
]
}
}
]
}
]
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/whatsapp/{workspaceId}/whatsapp/{credentialsId}/webhook"
payload = { "entry": [{ "changes": [{ "value": {
"contacts": [{ "profile": { "name": "<string>" } }],
"messages": [
{
"from": "<string>",
"timestamp": "<string>",
"type": "text",
"text": { "body": "<string>" },
"id": "<string>",
"referral": {
"ctwa_clid": "<string>",
"source_id": "<string>"
}
}
],
"statuses": [
{
"recipient_id": "<string>",
"errors": [
{
"code": 123,
"title": "<string>",
"error_data": { "details": "<string>" }
}
]
}
]
} }] }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entry: [
{
changes: [
{
value: {
contacts: [{profile: {name: '<string>'}}],
messages: [
{
from: '<string>',
timestamp: '<string>',
type: 'text',
text: {body: JSON.stringify('<string>')},
id: '<string>',
referral: {ctwa_clid: '<string>', source_id: '<string>'}
}
],
statuses: [
{
recipient_id: '<string>',
errors: [{code: 123, title: '<string>', error_data: {details: '<string>'}}]
}
]
}
}
]
}
]
})
};
fetch('http://127.0.0.1:3333/v3/integrations/whatsapp/{workspaceId}/whatsapp/{credentialsId}/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Default Response
⌘I